WCSWIDTH(3)

NAME
wcswidth - determine columns needed for a fixed-size wide-character string

SYNOPSIS
#define _XOPEN_SOURCE
#include <wchar.h>

int wcswidth(const wchar_t *s, size_t n);

DESCRIPTION
The wcswidth() function returns the number of columns needed to represent the wide-character string pointed to by s, but at most n wide characters. If a non-printable wide character occurs among these characters, -1 is returned.

RETURN VALUE
The wcswidth() function returns the number of column positions for the wide-character string s, truncated to at most length n.

CONFORMING TO
POSIX.1-2001.

NOTES
The behavior of wcswidth() depends on the LC_CTYPE category of the current locale.

SEE ALSO
iswprint(3), wcwidth(3)

COLOPHON
This page is part of release 2.76 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.